Create Mission Control Chat Session
curl --request POST \
--url https://api.ontora.com/v1/mission-control/chat/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"folder": "<string>",
"scope_all": false,
"selected_interview_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"selected_vault_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.ontora.com/v1/mission-control/chat/sessions"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"folder": "<string>",
"scope_all": False,
"selected_interview_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"selected_vault_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
folder: '<string>',
scope_all: false,
selected_interview_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
selected_vault_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.ontora.com/v1/mission-control/chat/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"folder": "<string>",
"selected_interview_ids": [
"<string>"
],
"selected_vault_ids": [
"<string>"
],
"created_by": "<string>",
"created_by_email": "<string>",
"created_by_name": "<string>",
"shared_with_user_ids": [
"<string>"
],
"access": "owner"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}mission-control
Create Mission Control Chat Session
POST
/
v1
/
mission-control
/
chat
/
sessions
Create Mission Control Chat Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
Successful Response
Available options:
owner, shared Was this page helpful?
⌘I